/* $Id: install.cmd,v 1.3 2003/05/23 09:08:18 achimha Exp $ */

/*
 * Simple installer for applying FT2LIB to Mozilla
 * 
 * Copyright 2003 InnoTek Systemberatung GmbH
 *
 */

address cmd "@echo off"

call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
call SysLoadFuncs

MozillaPath = ""
MozillaPath = arg(1)

SAY "*****************************************"
SAY "* FT2LIB for Mozilla on OS/2 Installer  *"
SAY "*                                       *"
SAY "* (C) 2003 InnoTek Systemberatung GmbH  *"
SAY "*****************************************"
SAY
SAY

if MozillaPath = "" then
do
  SAY "Please enter the path to your Mozilla installation (the directory containing mozilla.exe or os2web.exe):"
  parse pull MozillaPath
end

if substr(MozillaPath, length(MozillaPath), 1) \= "\" then
do
  MozillaPath = MozillaPath || "\"
end

if stream(MozillaPath || "components\gfx_os2.dll", "c", "query exists") = "" then
do
  SAY "ERROR: cannot find Mozilla installation at location " || MozillaPath
  exit -1
end

address cmd "copy " || MozillaPath || "components\gfx_os2.dll " || MozillaPath || "components\gfx_os2.bak"

address cmd "copy ft2lib.dll " || SysBootDrive() || "\os2\dll\"
address cmd "copy ftgpi.dll " || SysBootDrive() || "\os2\dll\"

address cmd "unlock.exe " || MozillaPath || "components\gfx_os2.dll"
address cmd "dllrname.exe " || MozillaPath || "components\gfx_os2.dll pmgpi=ftgpi"

/* import our default settings */
address cmd "reged.exe -q -n i default.reg > nul 2> nul"

SAY "DONE!"

exit
